%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Smartcard Terminal Tnterface
Name:		openct
Version:	0.6.2
Release:	1mdk
License:	BSD
URL:		http://www.opensc.org
Source0:	http://www.opensc.org/files/%{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires:	pcsc-lite-devel flex libusb-devel
Requires:	%{lib_name} = %{version}
Group:		System/Servers
Prereq: rpm-helper

%description
This is OpenCT, a middleware framework for smart card terminals.

Currently, OpenCT supports the following set of card terminals
and USB tokens:

 -      Towitoko serial readers
 -      Kobil Kaan Professional (including PIN pad support)
 -      Aladdin eToken
 -      Rainbow iKey 3000
 -      Cryptoflex eGate
 -      Eutron Cypto-Identity ITSEC

More drivers are currently under development.

%package	-n %{lib_name}
Group:		System/Libraries
Summary:	Library for accessing Smartcards
Provides: libopenct = %{version}-%{release}

%description	-n %{lib_name}
These are the shared libraries for the smartcard terminal middleware
OpenCT.
If you want to compile applications using this library, you also need
the %{name}-devel package.

%package	-n %{lib_name}-devel
Requires:	%{lib_name} = %{version}
Group:		System/Libraries
Summary:	Supplementary files for developing %{name} applications
Provides: libopenct-devel = %{version}-%{release}

%description	-n %{lib_name}-devel
Header files, static libraries, and documentation for %{name}.

%prep
%setup -q 

%build
%configure2_5x --with-pcsc --without-bundle-dir
make
make -k check

%install
rm -rf %{buildroot}
%makeinstall_std 
install -d %{buildroot}/%{_sysconfdir}/hotplug/usb
install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_var}/run/openct
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/openct.conf %{buildroot}/%{_sysconfdir}

perl -pi -e "s|#! /bin/sh|#! /bin/sh\n#\n# This shell script takes care of starting and stopping\n# openct server\n#\n# chkconfig: 345 39 50\n# description: Smartcard Terminal Tnterface|" %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script 
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script %{buildroot}/%{_initrddir}/%{name}
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/hotplug.openct %{buildroot}/%{_sysconfdir}/hotplug/usb/%{name}

# reference to home or tmp
rm -rf %{buildroot}/%{_libdir}/libifd.la

%clean
rm -rf %{buildroot}

%preun 
%_preun_service openct

%post 
%_post_service openct

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files
%defattr(-,root,root)
%doc ANNOUNCE README NEWS
%doc doc/%{name}.*
%{_bindir}/*
%{_sbindir}/*
%{_var}/run/*
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/openct.conf
%config(noreplace) %{_sysconfdir}/hotplug/usb/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE TODO
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE TODO
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Fri Mar 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- from Udo Rader <udo.rader@bestsolution.at> : 
	- new upstream version

* Mon Nov 01 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.0-3mdk
- add BuildRequires: flex libusb-devel

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.1.0-2mdk
- rebuild

* Wed Nov 12 2003 Florin <florin@mandrakesoft.com> 0.1.0-1mdk
- first mdk release
